function arbit_response(g,k,t,u)
//RLTOOL for scilab (c) Ishan Pendharkar. 
//function simulate for piecewise linear inputs.

//check if input is NOT single-valued
[x,y]=size(t);
	for i=1:x-1
		if t(i+1)-t(i)<= 0 then
		x_message(['Error entering input.';'Input is not single valued']);
		return;
		end;
	end;
	
// interpolate to get values of input 
	interp_u(1)=0;
	interp_t(1)=0;
	interp_size=ceil(max(t)/tstep);
	for i=1:interp_size
	interp_u(i)=interpln([t';u'],(i-1)*tstep)
	interp_t(i)=(i-1)*tstep;
	end;

// plotting interpolated values
	t=interp_t;
	u=interp_u;
	
		g_closedloop=syslin('c',g*k/(1+g*k)); //UNITY FEEDBACK CLOSED LOOP
		if roots(denom(g_closedloop))<>[] then
			if gridon==1 then xgrid(4); end;
			if clean(k)==0 then,
			xinfo(['You selected an open loop pole. Plotting open loop step response']);
			plot2d([t',(csim(u,t,syslin('c',g)))']);
			xbasr();
			x_message(['Open loop ramp Response of';string(g);'with k = 0']);
			else
			resp=csim(u',t',g_closedloop); //this is the response vector
			plot2d(t,[resp' u],[1,2],leg="Response@Input");
			xbasr();
			xtitle('Dynamic Response','Time (sec)','Magnitude') 
			x_message(['Response of';string(g_closedloop);'with k = '+string(k);'root(s) ';string(r)]);
			end;
		else
		x_message(['Sorry! I cannot plot the ramp response';'Due to numerical tolerances, a pole-zero cancellation has occured.';' Please reselect point.']);
		end;
		xdel(1);
		xselect();
				

return


