function response_select(g);
//RLTOOL for scilab (c) Ishan Pendharkar. 
//function response_select gives a menu for closed loop response selection.

if choice<>1 then return;end;
flag=0;
xselect();
xinfo('Select a point on the root locus');
xselect();
		status=xclick();
		p=clean([status(2) status(3)],Limits());
		point=p(1)+%i*p(2);
		r=roots(denom(g));
		[n,m]=size(r);
		for i=1:n,
			if abs(point-r(i))<Limits() then k=0; flag=1; break; else
		
			k=-1/real(horner(g,[1,%i]*p'));
			end;
		end;
		
		
r=roots(numer(g)*k+denom(g));
[n,m]=size(r);
		
		p=p(1)+%i*p(2);
		
		
		for i=1:n,
		if abs(p-r(i))<Limits() then flag=1; end;
		end;
//selection of response
whichresponse=1;
stability=isstable(g,k); //check whether closed loop system is stable.
while flag==1 & whichresponse<> 0 & k >=0, 
whichresponse=x_choose([
'Impulse Response';
'Step Response';
'Ramp Response';
'Arbitrary Input';
'Sinusoidal input';
'----------';
'Bode plot';
'Sensitivity plot';
'----------';
'closed loop poles and zeros'],['Gain = "+string(k)';stability;'Select required closed loop response']);
//
			if whichresponse==0 then,
			xdel(2) // delete all open windows
			end;
			
			if whichresponse==1 then,
			fig(1);
			impulse_response(g,k);
			end;
						
			if whichresponse==2 then,
			fig(1);
			step_response(g,k)
			end;

			if whichresponse==3 then,
			fig(1);
			ramp_response(g,k);
			end;
			
			if whichresponse==4 then,
			fig(1);
			xinfo('Draw piece-wise continuous signal and click Edit-->OK') 
			[t,u,ok,gc] = edit_curv();
			fig(1);
				if ok == %t & u<>[] then,
				arbit_response(g,k,t,u);
				end;
			end;
			
			if whichresponse==5 then,
			fig(1);
			sinuresponse(g,k);
			end;
			
			if whichresponse==6 then,
			end; //do nothing
			
			if whichresponse==7 then,
			fig(1)
			frq1(g,k);
			end;
			
			if whichresponse==8 then,
			fig(1)
			sens(g,k);
			end;
			
			if whichresponse==9 then,
			end; //do nothing
			
			if whichresponse==10 then,
			fig(2)
			plzr(g*k/(1+g*k));
			end; 
			
			  
			     
else
xinfo('click on a point of the rootlocus');
end;				
return;

   