function sinuresponse(g,k)
//RLTOOL for scilab (c) Ishan Pendharkar. 
//function one time period of sine wave response and associated functions

flag=0;
button=%f;
addmenu(1,'Settings');
Settings_1='[button, MAG,FREQ]=sinusettings()';
addmenu(1,'Close');
Close_1='flag=1';
g_closedloop=syslin('c',g*k/(1+g*k)); //UNITY FEEDBACK CLOSED LOOP

while flag==0
	FREQHZ=FREQ/(2*%pi);
	T=1/FREQHZ; //Time period in second
	t=0:(T/20):T;
	u=MAG*sin(FREQ*t);
	if roots(denom(g_closedloop))<>[] then, //spurious pole zero cancellation
					if gridon==1 then xgrid(4); 
					end;
			
			if clean(k)==0 then,
			xinfo(['You selected an open loop pole.']);
			else
				
				resp=csim(u,t,g_closedloop); //this is the response vector
				plot2d(t',[resp' u'],[1,2],leg="Response@Input");
				xbasr();
				xtitle('Sinusoidal Response','Time (sec)','Magnitude') 
msg='Amplitude ='+string(MAG)+ ' Frequency = '+string(FREQ)+'rad/sec .Click Settings to change. Close window to return';
				xinfo(msg);
				while flag<>1, //window not closed
					if button==%t then button=%f; //settings changed 
					xbasc();
					break;
					end;
				end;
			end;
	else
		x_message(['Sorry! I cannot plot the response';'Due to numerical tolerances, a pole-zero cancellation has occured.';' Please reselect point.']);
	end;
end;
		xdel(1);
		xselect();

return;

 
 
 