function stepdetails(resp)
//RLTOOL for scilab (c) Ishan Pendharkar. 
//function calculates response parameter of step response. 

[m,n]=size(resp);
flag=0;
finval=resp(n); //final value
ess=string(clean(1-abs(finval),1e-5)); // steady state erorr
[overshoot,tpeak]=max(resp);  // peak overshoot (if at all!!)
	if( clean(abs(overshoot-finval),1e-4) >0 &  (finval*overshoot)>0 )  then
		flag=1; //YES there is overshoot!
		perovershoot=string((overshoot-finval)/finval*100); //percentage over shoot
		tpeak=string(tpeak*tstep); //peak time
	else perovershoot='No Overshoot';
	     tpeak= 'None';
	end;
//****************damping ration calculations
if flag==1 then //there is overshoot
tmp=(%pi/(log(overshoot-finval)))^2+1;
tmp=1/tmp;
zeta=string(sqrt(tmp));
else
zeta='overdamped'
end	
//*********Settling time calculations************************
band=0.03*abs(resp(n)) // 3% tolerance band
for i=1:n-2
		if (abs( resp(n)-resp(n-i) )) >band then,
			ts=string((n-i)*tstep);
			tmp=n-i;
			break
		else ts='Couldnot resolve settling time.'
		tmp=0;
		end;
end;
if tmp>n-5 then ts='not settled. Select a larger time.';
tmp=[];
end;	

if tmp<>[] then,
x_message([
'Final Value (on the plot):        '+string(finval);
'Error (as seen on plot):          '+ess;
'Percent Peak Overshoot :          '+perovershoot;
'Damping ratio (2nd order approx): '+zeta;
'Peak Time (sec):                  '+tpeak ;
'Setting Time (sec):               '+ts ;
'                                           ']);
else
x_message(['System is unstable or output has not settled';'Increase simulation time in Settings->Step Response']);
end;

return



